<?php

require_once ("../../config/Cado.php");

require_once ("cUnidad.php");

$oUnidad = new cUnidad();

$uni_fac=1;



if($_POST['action']=="editar")

{

	$dts=$oUnidad->mostrarUno($_POST['uni_id']);

	$dt = mysqli_fetch_array($dts);

	$uni_tip=$dt['tb_unidad_tip'];

	$uni_abr=$dt['tb_unidad_abr'];

	$uni_nom=$dt['tb_unidad_nom'];

	$uni_fac=$dt['tb_unidad_fac'];

	mysqli_free_result($dts);

}

if($_POST['vista']=="cmb_cat_uni_bas" and $_POST['action']=="insertar")

{

	$disable_tipo=1;

	$uni_tip=1;

}



if($_POST['vista']=="cmb_cat_uni_id_bas" and $_POST['action']=="insertar")

{

	$disable_tipo=1;

	$uni_tip=1;

}



if($_POST['vista']=="cmb_cat_uni_alt" and $_POST['action']=="insertar")

{

	$disable_tipo=1;

	$uni_tip=2;

}



?>



				<form role="form" id="for_uni" method="POST">



					<input name="action_unidad" id="action_unidad" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_uni_id" id="hdd_uni_id" type="hidden" value="<?php echo $_POST['uni_id']?>">

					<input name="hdd_uni_tip" id="hdd_uni_tip" type="hidden" value="<?php echo $uni_tip?>">



					<div class="box-header">

						<h3 class="box-title">Información de la Unid. de Medida</h3>

					</div>

					<div class="box-body">



						<div class="form-group">							

							<div class="row">

								<div class="col-lg-4 col-xs-6">

									<label for="cmb_uni_tip">Tipo:</label>

									<select class="form-control"  name="cmb_uni_tip" id="cmb_uni_tip" <?php if($disable_tipo==1)echo 'disabled'?>>

										<option value="">-</option>

										<option value="1" <?php if($uni_tip=='1') echo 'selected'?>>UNIDAD BASE</option>

										<option value="2" <?php if($uni_tip=='2') echo 'selected'?>>UNIDAD ALTERNATIVA</option>

									</select>

								</div>

								<div class="col-lg-4 col-xs-6">

									<label for="txt_uni_abr">Abreviatura</label>  

									<input class="form-control"  name="txt_uni_abr" type="text" id="txt_uni_abr" value="<?php echo $uni_abr?>" >

								</div>

								<div class="col-lg-4 col-xs-6">

									<label for="txt_uni_nom">Nombre</label>     

									<input  class="form-control" name="txt_uni_nom" type="text" id="txt_uni_nom" value="<?php echo $uni_nom?>" >  

								</div>

								<div id="tr_unidad_factor"  style="display:none" class="col-lg-4 col-xs-6">

									<label for="txt_uni_fac">Factor</label>   

									<input name="txt_uni_fac" type="text" id="txt_uni_fac" class="form-control" value="<?php echo $uni_fac?>" >    

								</div>

							</div>					



						</div>

					</div>

				</form>

				<div class="box-footer float-right">

					<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

					<button class="btn btn-primary" id="save_form">Guardar</button>

				</div>

			





<script type="text/javascript">



	function showfactor(){

		var tipound = $('#cmb_uni_tip').val();

		if(tipound==2){ 

			$("#tr_unidad_factor").show(100);

		}else{

			$("#tr_unidad_factor").hide();

			$("#txt_uni_fac").val(1);

		}

	}



	showfactor();



	$('#cmb_uni_tip').change( function(){

		showfactor();

	});



	$('#txt_uni_abr, #txt_uni_nom').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	

	$('#txt_cat_nom').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	$("#save_form").click(function() {

		$("#for_uni").submit();

	});



	$(document).ready(function() {

		$('#for_uni').bootstrapValidator({

	      //live: 'disabled',

	      message: 'Valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {	      	

	      	cmb_uni_tip: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	txt_uni_abr: {

	          group: '.col-lg-2',

	          validators: {

	            notEmpty: {

	              message: 'Este campo es requerido'

	            }

	          }

	        },

	        txt_uni_nom: {

	          group: '.col-lg-3',

	          validators: {

	            notEmpty: {

	              message: 'Este campo es requerido'

	            }

	          }

	        },

	        txt_uni_fac: {

	          group: '.col-lg-2',

	          validators: {

	            notEmpty: {

	              message: 'Este campo es requerido'

	            },

	            regexp: {

	              regexp: /^(?=.?\d)\d*(\.\d{0,9})?$/,

	              message: 'Caracteres no permitidos'

	            }

	          }

	        }

	      }

	  }).on('success.form.bv', function(e) {

	  	$('#msj_unidad').html("Cargando...");

	  	$('#msj_unidad').show(100);

	  

	  	$.ajax({

	  		type: "POST",

	  		url: "../unidad/unidad_reg.php",

	  		async:true,

	  		dataType: "json",

	  		data: $("#for_uni").serialize(),

	  		beforeSend: function() {	  			

	  			

	  		},

	  		success: function(data){	

			

					<?php if($_POST['vista']=="productos"){?>

						$('#div_unidad_form_dialog').modal('hide');

						$('.div_unidad_form').html('');

						toastr["success"](data.uni_msj);

						cmb_cat_uni_bas(data.uni_id);

						cmb_cat_uni_bas_alter(data.uni_id);

					<?php }else if($_POST['vista']=="unidad"){

						?>

						$('.modal').modal('hide');

						$('.in').removeClass('modal-backdrop');			

						toastr["success"](data.uni_msj);	

						<?php 

					}?>

				

	  		},

	  		complete: function(){

	  			

	  		}

	  	});



  });



	$('#cmb_uni_tip').focus();

});

	

	



	$('#cmb_uni_tip').keydown(function(ev) {

		if(ev.keyCode==13){$('#txt_uni_abr').focus(); return false;}

	});



	$('#txt_uni_abr').keydown(function(ev) {

		if(ev.keyCode==13){$('#txt_uni_nom').focus(); return false;}

	});

	$('#txt_uni_nom').keydown(function(ev) {

		if(ev.keyCode==13){	var tipound = $('#cmb_uni_tip').val();

		if(tipound==2){$('#txt_uni_fac').focus(); return false;}

		else{$('#save_form').focus(); return false;}

	}

});

	

	$('#txt_uni_fac').keydown(function(ev) {

		if(ev.keyCode==13){$('#save_form').focus(); return false;}

	});



	

</script>



